import type { InjectionKey } from 'vue';
import type { ConfigProviderInnerProps, GlobalFormCOntextProps } from '../interface';
export declare const configProviderKey: InjectionKey<ConfigProviderInnerProps>;
export declare const GlobalFormContextKey: InjectionKey<GlobalFormCOntextProps>;
export declare const defaultIconPrefixCls = "anticon";
export declare function useProvideGlobalForm(state: GlobalFormCOntextProps): void;
export declare function useInjectGlobalForm(): GlobalFormCOntextProps;
export declare const defaultConfigProvider: ConfigProviderInnerProps;
export declare function useConfigContextInject(): ConfigProviderInnerProps;
export declare function useConfigContextProvider(props: ConfigProviderInnerProps): void;
